MongoDB and ElasticSearch on Ubuntu 16.04 - Step by step instruction

Simple instructions about installing a MongoDB and ElasticSearch on Amazon’s Ubuntu 16.04. MongoDB If you have already installed Mongo database with data you can ignore this step: First we need to add the mongo-org repository list: echo «deb [ arch=amd64,arm64 ] http://repo.mongodb.org/apt/ubuntu xenial/mongodb-org/3.4 multiverse» > /etc/apt/sources.list.d/mongodb-org-3.4.list We need to install the mongo database server and […]

Установка утилиты lessc и node.js в Debian 7 (Wheezy)

Большинство мануалов про добавление утилиты lessc в дистр сводятся к тому, что нужно скачать исходники node, скомпилить их, потом ещё исходники node-less, скомпилить их и только потом можно пользоваться (не забываем про зависимости). Не debian-way короче…Воспользовавшись утилитой apt-file я нашёл в репозитории пакет, в котором эта утилита уже была скомпилирована: [tux-pc] ~/ $ apt-file search […]

Как настроить dblink в PostgreSQL

Как-то мне потребовалось настроить синхронизацию нескольких таблиц на разных серверах PostgreSQL, не настраивая при этом репликацию в классическом её виде, проанализировал я много разных вариантов и самый простой оказался синхронизация через dblink. Настройку выполняю на Debian 7.0 (Wheezy), база данных PoetgreSQL 9.1. Предполагаю, что база уже развёрнута и работает, а так же что у Вас […]

Настройка автоматической обработки писем через Postfix

Допустим есть скрипт для обработки почты, который обрабатывает все приходящие на него потоком данные и раскладывает их по директориям.Начнём с установки почтового сервера: sudo apt-get install postfix Удалим другие почтовые сервера (если есть): sudo apt-get purge sendmail exim4 Переустановим постфикс (на всякий случай, чтобы ссылки точно обновились): sudo apt-get install —reinstall postfix  Далее нужно настроить […]

Монтирование Google Drive в Debian 7.2.0

Создадим файл /etc/apt/sources.list.d/google-docs-fs.list в нём пропишем: deb http://ppa.launchpad.net/invernizzi/google-docs-fs/ubuntu precise maindeb-src http://ppa.launchpad.net/invernizzi/google-docs-fs/ubuntu precise main Обновим репозиторий: apt-get update Установим пакет: apt-get install google-docs-fs Создаём директорию и подмонтируем в неё наш диск: mkdir gdocsgmount gdocs [email protected] Программа попросит ввести пароль, укажем его, после чего в директории gdocs мы сможем увидеть файлы с гугл-диска. Работа над ошибками Если команда будет ругаться […]

Настройка apt-file для работы через прокси сервер

При попытке обновления репозитория файлов утилиты apt-file у меня вылезла ошибка: ~# sudo apt-file updateDownloading Index http://mirror.yandex.ru/debian/dists/wheezy/main/Contents-i386.diff/Index:No Index available. Происходит это потому что утилита diffindex-download которая выполняет загрузку этих файлов не понимает директиву proxy::http в конфигурационном файле /etc/apt/apt.conf. Почему это происходит не понятно, возможно это баг. Исправляется просто, настроим утилиту wget для работы через прокси, для […]

Проблема при настройке dictionaries-common

При обновлении Debian 7.0 возникла следующая ошибка: Настраивается пакет dictionaries-common (1.20.2) …update-default-ispell: Question empty but elements installed for class «ispell»  dictionaries-common/default-ispell: return code: «0», value: «»  Choices: , настройка символьных ссылок вручную  shared/packages-ispell: return code: «10» owners/error: «shared/packages-ispell doesn’t exist»  Installed elements: russian (Russian koi8-r)  Please see «/usr/share/doc/dictionaries-common/README.problems», section  «Debconf database corruption» for recovery info.update-default-ispell: […]

Установка GpsDrive на Deban Wheezy

Скачать программу можно с официального сайта: http://www.gpsdrive.de/development/debian.shtml Однако, если использовать репозиторий, то будет при обновлении списка пакетов вылезать сообщение вида: E: Problem with MergeList /var/lib/apt/lists/*_Tranlation-en И эта проблема повторяется на всех репозиториях, в том числе и в убунтовских. Поэтому придётся скачать пакеты вручную. wget -o http://www.gpsdrive.de/debian/pool/wheezy/gpsdrive_2596_amd64.debwget -o http://www.gpsdrive.de/debian/pool/wheezy/openstreetmap-map-icons_23763_all.debwget -o http://www.gpsdrive.de/debian/pool/wheezy/openstreetmap-map-icons-classic.small_23763_all.deb Но это ещё не всё, по […]

Как запретить обновление определённых пакетов в Debian Wheezy?

Допустим у нас есть 2 пакета oracle-java8-installer и oracle-java8-set-default, нам необходимо заблокировать их обновление, для этого выполним вот такие вот команды в консоли: echo «oracle-java8-installer hold» | sudo dpkg —set-selections echo «oracle-java8-set-default hold» | sudo dpkg —set-selections  Для того чтобы разморозить указанные пакеты необходимо выполнить: echo «oracle-java8-installer» | sudo dpkg —set-selections  echo «oracle-java8-set-default» | sudo […]

Установка Java8 и SQL Developer на Debian Wheezy

Для работы с СУБД Oracle иногда требуется графическое приложение, так называемый Developer, для того чтобы он работал требуется наличие Java8 на борту. Раньше было намного проще, достаточно было установить паке sun-java из репозитория, но теперь всё немного сложнее. Установка Oracle Java8 Для этого понадобится репозиторий с установщиками, допишем строки в /etc/apt/source.list: deb http://ppa.launchpad.net/webupd8team/java/ubuntu precise maindeb-src […]